Bug 114890 - (i810_audio) i810 Audio Not Working
i810 Audio Not Working
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-02-03 20:47 EST by Thad Peck
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-20 15:54:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
i810_audio-mmio.patch (59.27 KB, patch)
2004-06-29 14:15 EDT, John W. Linville
no flags Details | Diff
i810_audio-mmio-u2.patch (57.60 KB, patch)
2004-07-06 11:22 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Thad Peck 2004-02-03 20:47:08 EST
Description of problem:

On an Intel D865PERL motherboard with integrated i810 audio RHEL v3
will not work.

rpm -q kernel

rpm -q redhat-config-soundcard

Error messages given:
dmesg: i810_audio: Pure MMIO interfaces not yet supported.

Feb  3 14:33:29 mandy insmod:
such device
Feb  3 14:33:29 mandy insmod: Hint: insmod errors can be caused by
incorrect module parameters, including invalid IO or IRQ parameters. 
     You mayou'll find more information in syslog or the output from dmesg
Feb  3 14:33:29 mandy insmod:
/lib/modules/2.4.21-9.ELsmp/kernel/drivers/sound/i810_audio.o: insmod
sound-slot-0 failed
Feb  3 14:33:29 mandy modprobe: modprobe: Can't locate module

From redhat-config-soundcard:
The i810_audio driver could not be loaded.  
This soundcard may not be compatible with Red Hat Linux

Is there a patch, workaround, really not supported, real bug?

Thad Peck

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
2.Select OK
Actual results:
From redhat-config-soundcard:
The i810_audio driver could not be loaded.  
This soundcard may not be compatible with Red Hat Linux

Expected results:

Additional info:
Comment 2 Jeff Garzik 2004-06-14 13:00:33 EDT

All we see is the user assuming that have i810 audio, and the driver
disagreeing, at this point.
Comment 3 John W. Linville 2004-06-29 14:15:08 EDT
Created attachment 101512 [details]

Please rebuild kernel-2.4.21-9.EL after applying this patch.  This version of
the driver should handle "Pure MMIO interfaces"...

I would very much like to hear of any test results.
Comment 4 Kostas Georgiou 2004-07-05 13:45:59 EDT
The patch fails to apply (kernel-2.4.21-15.0.3.EL). I'll be able to
test it as soon as i can build an rpm with it. 
Comment 5 John W. Linville 2004-07-06 11:22:47 EDT
Created attachment 101656 [details]

version of patch against kernel-2.4.21-15.0.3-EL
Comment 6 Kostas Georgiou 2004-07-07 07:13:56 EDT
Thanks, the rpm builds fine now and the driver/sound works fine. I've
put the rpms at http://www.hep.ph.ic.ac.uk/~georgiou/testrpms/ if
anyone wants to give them a try.

If the driver still works with other chipsets can we please have it
added to the next kernel update ?
Comment 7 John W. Linville 2004-07-07 09:38:07 EDT
Unfortunately, it is a few weeks too late to make the next update
release.  However, a patch to this effect is being pushed upstream and
I expect the equivalent patch to be in the subsequent update release (U4).

BTW, chances are pretty good that taking the i810_audio.c file from
kernel-2.4.21-15.0.3-EL + i810_audio-mmio-u2.patch and copying it into
the source from the U3 kernel will provide a working driver until the
U4 release.

Comment 8 Kostas Georgiou 2004-07-07 13:18:34 EDT
Thats fine, i can wait for U4. It shouldn't be too hard to port the
changes until then. You can probably close the bug (assuming the patch
works fine for Thad as well).
Comment 10 Ernie Petrides 2004-09-01 22:51:46 EDT
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-20.2.EL).
Comment 11 John Flanagan 2004-12-20 15:54:52 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.